#include <stdio.h>
int brojCifara(int a)
{
	int i=1;
	while(a>9){
		a/=10;
		i++;
	}
	return i;
}
int min(int a,int b)
{
	return a<b?a:b;
}
int abs(int a){
	return a>0?a:-a;
}
int max(int a,int b)
{
    return a>b?a:b;
}
int main()
{
	int i,a,b,x=0,y=1,z=1;
	scanf("%d %d",&a,&b);
	for (i = 0; i < min(brojCifara(a), brojCifara(b)); i++) 
	{
		if (a / y % 10 == b / y % 10)
		{
        	x += (a / y % 10) * z;
            z *= 10;
            x += (a / y % 10) * z;
    	}
		else
		{
            x += max(a / y % 10, b / y % 10) * z;
		}
		y *= 10;
		z *= 10;
	}
	for (i = 0; i < abs(brojCifara(a) - brojCifara(b)); i++)
	{
		if (a > b)
		{
        	x += (a / y % 10) * z;
        }
		else 
		{
            x += (b / y % 10) * z;
        }
        y *= 10;
        z *= 10;
    }
    printf("%d",x);
	return 0;
}